This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 480736 - Do not associate poedit with .mo files
Do not associate poedit with .mo files
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: poedit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 03:23 EST by Dwayne Bailey
Modified: 2009-01-21 17:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 17:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dwayne Bailey 2009-01-20 03:23:37 EST
Description of problem:
poedit's .desktop file associates the application with application/x-gettext-translation i.e. .mo files.  But the application is unable to edit those files.

Version-Release number of selected component (if applicable):
1.4.2-2.fc10

How reproducible:
Always

Steps to Reproduce:
1. Open nautilus with an MO file in view
2. Right click on the MO file to view association
3. Double click MO file
  
Actual results:
On right click you can see that poedit is listed as an application that can open the MO file. On double click poedit launches but does not display the contents of the MO file.

Expected results:
poedit is not associated with MO and does not try to launch the MO

Additional info:
poedit is able to produce MO files from edited PO files and can read MO files for creating its translation memory.  But that is different from the task of editing an MO file.
Comment 1 Konstantin Ryabitsev 2009-01-21 17:51:27 EST
Reported upstream as http://www.poedit.net/trac/ticket/286

Note You need to log in before you can comment on or make changes to this bug.